music123(1)

NAME
music123 - plays various sound files (usually including MP3, Ogg and Wav).

SYNOPSIS
music123 [-DhiLlqrvZz] [-d ARG] [-@ ARG] [--] files ...

DESCRIPTION
music123 is a shell around various command line programs to play music files. It will descend directories trees with -r, and randomize file lists with -z. The programs used and the options given them are listed in /etc/music123rc or ~/.music123rc.

OPTIONS

-D  Equivalent to -d0. May make music123 harder to kill.

-d  Customize the time music123 delays between songs. -d takes one argument, expressed in seconds, which may have a fractional part.

-h  Show command help and exit immediately.

-i  Ignore case of file path extensions. For example, .ogg and .OGG are considered equivalent.

-l  Loop at the end of the playlist.

-L  List files and exit immediately.

-q  Quiet mode. No messages are displayed.

-r  Recurse into directories, instead of ignoring them.

-T  Redirect standard input, allowing q or Q keys to stop after current file. The player will not see its standard output anymore.

-v  Display version information and exit immediately.

-z  Randomize the song list once before starting to play. music123 will shuffle the list once and for all, then play the songs without repetition (and repeat the selected order over and over with -l).

-Z  Pick up a song after the other randomly and endlessly, possibly playing a given song twice in a row, or never playing a given song. This disables -l and -z options.

-@  Play the files listed in the mandatory argument of -@. Other files can be added on the command line, and this option can be given several times. Note that music123 doesn't yet play URLs.

--  End option list. Following arguments are interpreted as file names, even if they start with a dash.

EXAMPLES

Play three songs:
    music123 test1.ogg test2.mp3 test3.wav

Play a couple of directories and other songs at random:
    music123 -rz Rock/ test1.ogg Pop/ test4.wav

Play a playlist then a strange file name with a delay between the songs:
    music123 -d 6.0 -@playlist -− -strange.ogg

FILES

/etc/music123rc
    Describes which programs music123 uses, which files types it supports, and which options it passes those programs.

~/.music123rc
    Per-user config file to override the system wide settings.

AUTHORS

Authors:
    David Starner <dvdeug@debian.org>, Xavier Grave <xavier.grave@csnsm.in2p3.fr>, Nicolas Boulenguez <nicolas@debian.org>